Subject: RE: cygwin/clearcase problem
From: "Klinksiek, Debra" <[email-masked]>
To: Richard Ramos <[email-masked]>
Cc: Cygwin <[email-masked]>
Date: Wed, 8 Aug 2001 11:12:51 -0400

I use cygwin and clearcase quite a bit. I have not had any problems like you
mention. If you are using cleartool (ct) then you can use either / or \ as
the directory separator. CC got its start in the UNIX world and has adapted
to Windows. 

What are the values of $i? Are there blanks? If so you need to quote the
file names.

Debbie

-----Original Message-----
From: Michael Hoffman [mailto:[email-masked]]
Sent: August 08, 2001 09:33
To: Richard Ramos
Cc: Cygwin
Subject: Re: cygwin/clearcase problem

On Wed, 8 Aug 2001, Richard Ramos wrote:

> At the bash prompt I used forward slashes.  At the dos prompt I used
> backslashes.

Try doing the exact same command in bash as you did in the DOS window,
replacing all of the single backslashes with double backslashes to
escape.

If that doesn't work, it's going to be hard to help you without
knowing anything about clearcase.
--
Michael Hoffman <[email-masked]>
Cold Spring Harbor Laboratory

Original messages:

> I also tried your suggestion below with no change in results.
> 
> Thanks
> Rich
> 
> Michael Hoffman wrote:
> 
> > On Tue, 7 Aug 2001, Richard Ramos wrote:
> >
> > > I'm running a clearcase client on a windows 2000 platform.  I wrote
> > > a bash script to move files under clearcase source control.  The
> > > script performs the following lines:
> > >
> > > [SNIP]
> > >
> > > Created element "blah/blah/file.h" (type "text_file").
> > > text_file_delta: Error: Can't create temporary file:  No such file or
directory
> > > cleartool: Error: Type manager "text_file_delta" failed create_version
operation
> > > cleartool: Error: Unable to check in "leap/osprims/winnt/os_defs.h".
> > >
> > > Note the the clearcase element was successfully created.
> > >
> > > The reason I'm asking this forum is that the command fails in
> > > exactly the same way from the bash prompt but it works fine from a
> > > DOS command prompt.  I posed the question to Rational and they
> > > hadn't heard of Cygwin before and couldn't help (yet).
> >
> > What are the exact commands you are typing in on the command line? Are
> > they really exactly the same or did you change the forward slashes to
> > backslashes for command.com/cmd.exe?
> >
> > See <http://www.cygwin.com/faq/faq_4.html#SEC29> and try using
> > `cygpath --windows $i` in lieu of $i.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/